# CSSynchronousDataTransaction Class Reference

# CSSynchronousDataTransaction

    @objc
    public final class CSSynchronousDataTransaction : CSBaseDataTransaction, CoreStoreObjectiveCType

The `CSSynchronousDataTransaction` serves as the Objective-C bridging type for `SynchronousDataTransaction`.

See also

`SynchronousDataTransaction`

- `commitAndWait(error:)`

  Saves the transaction changes and waits for completion synchronously. This method should not be used after the `-commitAndWaitWithError:` method was already called once.

  #### Declaration

  Swift

      @objc
      public func commitAndWait(error: NSErrorPointer) -> Bool

  #### Parameters

  `error` | the `CSError` pointer that indicates the reason in case of an failure

  #### Return Value

  `YES` if the commit succeeded, `NO` if the commit failed. If `NO`, the `error` argument will hold error information.

### BaseDataTransaction

- `createInto(_:)`

  Creates a new `NSManagedObject` with the specified entity type.

  #### Declaration

  Swift

      @objc
      public override func createInto(_ into: CSInto) -> Any

  #### Parameters

  `into` | the `CSInto` clause indicating the destination `NSManagedObject` entity type and the destination configuration

  #### Return Value

  a new `NSManagedObject` instance of the specified entity type.

- `editObject(_:)`

  Returns an editable proxy of a specified `NSManagedObject`. This method should not be used after the `-commitAndWait` method was already called once.

  #### Declaration

  Swift

      @objc
      public override func editObject(_ object: NSManagedObject?) -> Any?

  #### Parameters

  `object` | the `NSManagedObject` type to be edited

  #### Return Value

  an editable proxy for the specified `NSManagedObject`.

- `editInto(_:objectID:)`

  Returns an editable proxy of the object with the specified `NSManagedObjectID`. This method should not be used after the `-commitAndWait` method was already called once.

  #### Declaration

  Swift

      @objc
      public override func editInto(_ into: CSInto, objectID: NSManagedObjectID) -> Any?

  #### Parameters

  `into` | a `CSInto` clause specifying the entity type
  `objectID` | the `NSManagedObjectID` for the object to be edited

  #### Return Value

  an editable proxy for the specified `NSManagedObject`.

- `deleteObject(_:)`

  Deletes a specified `NSManagedObject`. This method should not be used after the `-commitAndWait` method was already called once.

  #### Declaration

  Swift

      @objc
      public override func deleteObject(_ object: NSManagedObject?)

  #### Parameters

  `object` | the `NSManagedObject` type to be deleted

- `deleteObjects(_:)`

  Deletes the specified `NSManagedObject`s.

  #### Declaration

  Swift

      public override func deleteObjects(_ objects: [NSManagedObject])

  #### Parameters

  `objects` | the `NSManagedObject`s to be deleted

### CoreStoreObjectiveCType

- `SwiftType`

  #### Declaration

  Swift

      public typealias SwiftType = SynchronousDataTransaction

- `bridgeToSwift`

  #### Declaration

  Swift

      public var bridgeToSwift: SynchronousDataTransaction { get }

- `init(_:)`

  #### Declaration

  Swift

      public required init(_ swiftValue: SynchronousDataTransaction)